<?php

function bpvm_plugin_info()
{
    require_once 'views/plugin_info.php';
}

function bpvm_addons()
{
    require_once 'views/addons.php';
}

function bwl_pvm_options_page()
{

    $bpvm_options_menu_slug = 'bwl-pvm';

    add_menu_page(
        esc_html__('Voting Manager Option Panel', 'bwl-pro-voting-manager'),
        esc_html__('Voting Manager', 'bwl-pro-voting-manager'),
        'manage_options',
        $bpvm_options_menu_slug,
        'bpvm_plugin_info',
        plugins_url(BWL_PVM_PLUGIN_ROOT . '/images/bpvm_menu_icon.png')
    );

    $sub_pages = [
        [
            'page_title' => esc_attr__('BWL Pro Voting Manager Addons', 'bwl-kb'),
            'menu_title' => esc_attr__('Plugin Addons', 'bwl-kb'),
            'menu_slug' => 'bpvm-addons',
            'cb' => 'bpvm_addons'
        ]
    ];

    foreach ($sub_pages as $sub_page) {
        add_submenu_page(
            $bpvm_options_menu_slug,
            $sub_page['page_title'],
            $sub_page['menu_title'],
            'manage_options',
            $sub_page['menu_slug'],
            $sub_page['cb']
        );
    }
}

add_action('admin_menu', 'bwl_pvm_options_page');